/**
 * PETALS - PETALS Services Platform.
 * Copyright (c) 2007 EBM Websourcing, http://www.ebmwebsourcing.com/
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * -------------------------------------------------------------------------
 * $Id$
 * -------------------------------------------------------------------------
 */

package org.objectweb.petals.jbi.descriptor;

import javax.xml.namespace.QName;

/**
 * @author Christophe HAMERLING (chamerling) - eBM WebSourcing
 *
 */
public abstract class ServiceUnitExtensibleElement extends ExtensibleJbiElement {
    /**
     * Endpoint name to be provided.
     */
    protected String endpointName;

    /**
     * Qualified interface name.
     */
    protected QName interfaceName;

    /**
     * Service name to be provided.
     */
    protected QName serviceName;

    /**
     * Creates a new instance of {@link ServiceUnitExtensibleElement}
     *
     */
    public ServiceUnitExtensibleElement() {
    }

    /**
     * @return the endpointName
     */
    public String getEndpointName() {
        return this.endpointName;
    }

    /**
     * @param endpointName
     *            the endpointName to set
     */
    public void setEndpointName(final String endpointName) {
        this.endpointName = endpointName;
    }

    /**
     * @return the interfaceName
     */
    public QName getInterfaceName() {
        return this.interfaceName;
    }

    /**
     * @param interfaceName
     *            the interfaceName to set
     */
    public void setInterfaceName(final QName interfaceName) {
        this.interfaceName = interfaceName;
    }

    /**
     * @return the serviceName
     */
    public QName getServiceName() {
        return this.serviceName;
    }

    /**
     * @param serviceName
     *            the serviceName to set
     */
    public void setServiceName(final QName serviceName) {
        this.serviceName = serviceName;
    }
}
